Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class SwallowingHttpServletResponse

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.directwebremoting.util.SwallowingHttpServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public final class SwallowingHttpServletResponse

extends javax.servlet.http.HttpServletResponseWrapper
implements javax.servlet.http.HttpServletResponse

Used by ExecutionContext to forward results back via javascript.

We could like to implement `HttpServletResponse`, but there is a bug in WebLogic where it casts to a `HttpServletResponseWrapper` so we need to extend that.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`SwallowingHttpServletResponse(javax.servlet.http.HttpServletResponse response, java.io.Writer sout, java.lang.String characterEncoding)` Create a new HttpServletResponse that allows you to catch the body

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long value)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getErrorMessage()` Accessor for any error messages set using `sendError(int)` or `sendError(int, String)`
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.lang.String` | `getRedirectedUrl()` Accessor for the redirect URL set using `sendRedirect(String)`
`int` | `getStatus()` What HTTP status code should be returned?
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int newStatus)`
`void` | `sendError(int newStatus, java.lang.String newErrorMessage)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setBufferSize(int bufferSize)`
`void` | `setCharacterEncoding(java.lang.String characterEncoding)`
`void` | `setContentLength(int i)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setStatus(int status)`
`void` | `setStatus(int newStatus, java.lang.String newErrorMessage)` Deprecated.

Methods inherited from class javax.servlet.ServletResponseWrapper
`getResponse, setResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwallowingHttpServletResponse

    public SwallowingHttpServletResponse(javax.servlet.http.HttpServletResponse response,
                                         java.io.Writer sout,
                                         java.lang.String characterEncoding)

  Create a new HttpServletResponse that allows you to catch the body

  Parameters:
    `response` - The original HttpServletResponse
    `sout` - The place we copy responses to
    `characterEncoding` - The output encoding

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addCookie` in class `javax.servlet.http.HttpServletResponseWrapper`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `containsHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeRedirectURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `encodeURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `flushBuffer` in class `javax.servlet.ServletResponseWrapper`
  Throws:
    `java.io.IOException`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getBufferSize` in class `javax.servlet.ServletResponseWrapper`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getContentType` in class `javax.servlet.ServletResponseWrapper`
  Returns:
    The MIME type of the content
  See Also:
    `ServletResponse.setContentType(String)`

### getErrorMessage

    public java.lang.String getErrorMessage()

  Accessor for any error messages set using `sendError(int)` or `sendError(int, String)`

  Returns:
    The current error message

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getLocale` in class `javax.servlet.ServletResponseWrapper`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `javax.servlet.ServletResponseWrapper`

### getRedirectedUrl

    public java.lang.String getRedirectedUrl()

  Accessor for the redirect URL set using `sendRedirect(String)`

  Returns:
    The redirect URL

### getStatus

    public int getStatus()

  What HTTP status code should be returned?

  Returns:
    The current http status code

### getWriter

    public java.io.PrintWriter getWriter()

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `javax.servlet.ServletResponseWrapper`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Overrides:
    `isCommitted` in class `javax.servlet.ServletResponseWrapper`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `javax.servlet.ServletResponseWrapper`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `javax.servlet.ServletResponseWrapper`

### sendError

    public void sendError(int newStatus)

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`

### sendError

    public void sendError(int newStatus,
                          java.lang.String newErrorMessage)

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`

### sendRedirect

    public void sendRedirect(java.lang.String location)

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `sendRedirect` in class `javax.servlet.http.HttpServletResponseWrapper`

### setBufferSize

    public void setBufferSize(int bufferSize)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `javax.servlet.ServletResponseWrapper`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`
  Parameters:
    `characterEncoding` - The new encoding to use for response strings
  See Also:
    `ServletResponseWrapper.getCharacterEncoding()`

### setContentLength

    public void setContentLength(int i)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `javax.servlet.ServletResponseWrapper`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `javax.servlet.ServletResponseWrapper`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `javax.servlet.ServletResponseWrapper`

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

    public void setStatus(int newStatus,
                          java.lang.String newErrorMessage)

  Deprecated.

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`
  Overrides:
    `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`
  See Also:
    `HttpServletResponse.setStatus(int, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD